
User Interface - Bug #2788

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

alert-box close button (in the titlebar) should be disabled

10/24/2015 10:51 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/24/2015 10:52 AM - Greg Shah

Although it is drawn as disabled, in P2J the button is active.  The user can dismiss the alert-box using the close button in P2J.  This is NOT possible

in the 4GL.  The close button does not respond to mouse events on windev01.

#2 - 03/23/2016 05:08 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 04/18/2016 05:46 PM - Hynek Cihlar

Task branch 2788a revision 11006 fixes the problem mentioned in note 1. It also fixes window caption button not to change press state when not

enabled, and fixes ALERT-BOX close button to properly close the box (when enabled) with the correct result.

Please review.

#4 - 04/18/2016 06:38 PM - Greg Shah

Code Review Task Branch 2788a Revision 11006

1. Should AlertBoxGuiImpl.init() call setClickHandler() before setCaptionButtonEnabled()?  Perhaps it is already safe because it is in the init()

processing.  It seems like a (admittedly rare) possible race condition.  But if an event processes in between the two, then there would be the chance

to process the default path for CLOSE instead of the overridden version.

2. All 3 programs need a history entry.

#5 - 04/19/2016 06:13 AM - Hynek Cihlar

Greg Shah wrote:

Code Review Task Branch 2788a Revision 11006

1. Should AlertBoxGuiImpl.init() call setClickHandler() before setCaptionButtonEnabled()?  Perhaps it is already safe because it is in the init()

processing.  It seems like a (admittedly rare) possible race condition.  But if an event processes in between the two, then there would be the

chance to process the default path for CLOSE instead of the overridden version.
Actually there is no race condition here. All user input is handled through event queues, so the eventual mouse click clicked exactly between

setCaptionButtonEnabled() and setClickHandler() would get queued and processed after setClickHandler() is already called.

2. All 3 programs need a history entry.

 

Sorry, added in 11007.

#6 - 04/19/2016 07:49 AM - Greg Shah

Please merge these changes into 1811u.

BTW, 1811u is due for a rebase.  I think that won't affect your merge, but if it does, then wait for the rebase before you merge.

I'll close this task once it is merged to 1811u.

#7 - 04/19/2016 07:58 AM - Hynek Cihlar

Greg Shah wrote:

Please merge these changes into 1811u.

BTW, 1811u is due for a rebase.  I think that won't affect your merge, but if it does, then wait for the rebase before you merge.

I'll close this task once it is merged to 1811u.

 

Yes, the changes should be safe, I am gonna merge to 1811u now.

#8 - 04/19/2016 08:44 AM - Hynek Cihlar

2788a revision 11007 merged to 1811u as revision 11011.

#9 - 04/19/2016 08:45 AM - Hynek Cihlar

- % Done changed from 0 to 100

#10 - 04/19/2016 08:53 AM - Greg Shah

- Status changed from New to Closed
#11 - 04/19/2016 08:54 AM - Greg Shah

Please archive 2788a.

#12 - 04/19/2016 08:57 AM - Hynek Cihlar

Greg Shah wrote:

Please archive 2788a.

 

Done.

#13 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
